<?php
//---------------------------------------------------------------------------------------------------------
// 30/Septiembre/2014
// Versión 1.0 Fichero base para la ficha de los artículos
//---------------------------------------------------------------------------------------------------------
?>

<form id="formularioObservaciones" method="post" action="<?= Shop::$configuracion->url; ?>comunes/consultas/actualizar_observaciones_articulo.php">
    <textarea rows='4' cols='50' name='traduccion'><?= $articulo_actual->observaciones; ?></textarea>
    <input type='hidden' name='codigoProducto' value='<?= $articulo_actual->codigo; ?>'>
    <input type='hidden' name='idioma' value='ES'></br>
    <input type='submit' />
</form>

<script type='text/javascript' src='../base/ckeditor/ckeditor.js'>});
<script type="text/javascript">
    $(document).ready(function () {
        CKEDITOR.replace('traduccion');
        $('#formularioObservaciones').on('submit', function (event) {
            event.preventDefault();
            var traduccionProducto = CKEDITOR.instances['traduccion'].getData();
            var codigoProducto = $('input[name="codigoProducto"]').val();
            //var traduccionProducto = $('textarea[name="traduccion"]').val();
            var idiomaProducto = $('input[name="idioma"]').val();
            var postData = {
                articulo: codigoProducto,
                traduccion: traduccionProducto,
                idioma: idiomaProducto
            };
            var dataString = JSON.stringify(postData);
            console.log(dataString);
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: "<?= Shop::$configuracion->url; ?>comunes/consultas/actualizar_observaciones_articulo.php",
                data: dataString,
                contentType: 'application/json; charset=utf-8',
                success: function (data) {
                    console.log(data);
                },
                error: function (e) {
                    console.log(e.message);
                }
            });
        });
    });
});
